# Get all Minted NFT details in a smart contract

Details of all the created NFT can be found using this method. The weightage for this API is 5.

## API Specification

## Get all Minted NFT details.

<mark style="color:green;">`POST`</mark> `https://api.krypcore.com/api/v0/easy-nft/nft-list`

Created NFT details can be found  under the given instance. &#x20;

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Auth Key obtained from Dash |
| DappId                                          | String | DappId                           |

#### Request Body

| Name                                              | Type   | Description                                                 |
| ------------------------------------------------- | ------ | ----------------------------------------------------------- |
| page                                              | Number | Details of minted NFT to be retrieved for the given page No |
| contractAddress<mark style="color:red;">\*</mark> | String | contractAddress is the NFT smart contract address           |
| pageSize                                          | Number | No of minted NFT details to be displayed per page           |

{% tabs %}
{% tab title="200: OK Minted NFT details fetched successfully" %}

```javascript
{
    "Data": [
        {
            "_id": "collectionName",
            "docs": [
                {
                    "__v": 0,
                    "_id": "650ae5c9052f82040625e8b0",
                    "attributes": "",
                    "contractAddress": "0x06Da2002a7E29fDd0cef326BC0febd36f48962aA",
                    "createdAt": "2023-09-20T12:30:01.707Z",
                    "createdBy": "DEV_KRYP_11_20230919",
                    "custodialWalletAccessToken": "d263d546-ccc2-4676-9691-d28c3f836822",
                    "description": "this is krypc logo",
                    "easyNftCollection": "650ac47da42a151ae936d7ee",
                    "erc": "ERC721",
                    "image": "https://ipfs-gateway.node.krypcore.io/api/v0/ipfs/ipfs/QmZDQ2wgjvzTFXJ1j6kgrfq4Eys1tcvaCtnjPgUtvyMiNN?apiKey=ac2d904a-cad4-425b-a2d7-3a4a8d2b64c6&token=34bc1382-33aa-4306-a331-db5029e8dcee",
                    "name": "krypc1234",
                    "owner": "0x588BeE528b93357B4d731CE817C47F4BFbc81B22",
                    "subscriptionId": "9690608060",
                    "tokenId": "3",
                    "txnHash": "0xce38835b4a9461d46a7c3dac16d0728aa295efc5f9e8416393ddbd6998be0ce4",
                    "updatedAt": "2023-09-20T12:30:01.707Z",
                    "walletAddress": ""
                },
                {
                    "__v": 0,
                    "_id": "650adf7d052f82040625e7f7",
                    "attributes": "",
                    "contractAddress": "0x06Da2002a7E29fDd0cef326BC0febd36f48962aA",
                    "createdAt": "2023-09-20T12:03:09.823Z",
                    "createdBy": "DEV_KRYP_11_20230919",
                    "custodialWalletAccessToken": "d263d546-ccc2-4676-9691-d28c3f836822",
                    "description": "this is krypc logo",
                    "easyNftCollection": "650ac47da42a151ae936d7ee",
                    "erc": "ERC721",
                    "image": "https://ipfs-gateway.node.krypcore.io/api/v0/ipfs/ipfs/QmPherocXDSKLms1tz1Un6qcyyJ56TyKRkhDKjHjEHiAsP?apiKey=ac2d904a-cad4-425b-a2d7-3a4a8d2b64c6&token=34bc1382-33aa-4306-a331-db5029e8dcee",
                    "name": "krypc123",
                    "owner": "0x588BeE528b93357B4d731CE817C47F4BFbc81B22",
                    "subscriptionId": "9690608060",
                    "tokenId": "1",
                    "txnHash": "0x5edab1b83168b49e3cd69d1db27d2152dd4020cadcacfe1a5cd0f781eb75fbad",
                    "updatedAt": "2023-09-20T12:03:09.823Z",
                    "walletAddress": ""
                }
            ],
            "totalCount": 2
        }
    ],
    "Message": "Ok",
    "Status": "SUCCESS"
}
```

{% endtab %}

{% tab title="401: Unauthorized No Authorization key is provided in the header" %}

```javascript
{
    "message": "Missing API key found in request"
}
```

{% endtab %}

{% tab title="400: Bad Request contractAddress is not provided" %}

```javascript
{
    "Data": null,
    "Message": "mandatory params are missing",
    "Status": "FAILURE"
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might call this method using our official libraries, or via `curl`:

{% tabs %}
{% tab title="curl" %}

```bash
curl --location --request POST 'https://api.krypcore.com/api/v0/easy-nft/nft-list' \
--header 'Authorization: xxxxxxxxxxxxxxxxxx' \
--header 'DappId: xxxxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data-raw '{
  "contractAddress": "0x06Da2002a7E29fDd0cef326BC0febd36f48962aA",
  "page": 0,
  "pageSize": 10
}'
```

{% endtab %}

{% tab title="Node.js (Fetch)" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
  "contractAddress": "0x06Da2002a7E29fDd0cef326BC0febd36f48962aA",
  "page": 0,
  "pageSize": 10
});

 

var config = {
  method: 'post',
  url: 'https://api.krypcore.com/api/v0/easy-nft/nft-list',
  headers: { 
    'Authorization': 'xxxxxxxxxxxxxxxxxxe', 
    'DappId': 'xxxxxxxxxxxxxxxxxx', 
    'Content-Type': 'application/json'
  },
  data : data
};

 

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}

{% tab title="Python " %}

```python
import requests
import json

 

url = "https://api.krypcore.com/api/v0/easy-nft/nft-list"

 

payload = json.dumps({
  "contractAddress": "0x06Da2002a7E29fDd0cef326BC0febd36f48962aA",
  "page": 0,
  "pageSize": 10
})
headers = {
  'Authorization': 'xxxxxxxxxxxxxxxxxx',
  'DappId': 'xxxxxxxxxxxxxxxxxx',
  'Content-Type': 'application/json'
}

 

response = requests.request("POST", url, headers=headers, data=payload)

 

print(response.text)
```

{% endtab %}

{% tab title="Golang" %}

```go
package main

 

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

 

func main() {

 

  url := "https://api.krypcore.com/api/v0/easy-nft/nft-list"
  method := "POST"

 

  payload := strings.NewReader(`{
  "contractAddress": "0x06Da2002a7E29fDd0cef326BC0febd36f48962aA",
  "page": 0,
  "pageSize": 10
}`)

 

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

 

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "xxxxxxxxxxxxxxxxxx")
  req.Header.Add("DappId", "xxxxxxxxxxxxxxxxxx")
  req.Header.Add("Content-Type", "application/json")

 

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

 

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/core-service-apis/nft-studio-apis/get-all-minted-nft-details-in-a-smart-contract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
